Bug 978461 - [RFE] Global Cinder support for Cells [NEEDINFO]
Summary: [RFE] Global Cinder support for Cells
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 4.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: Upstream M2
: 4.0
Assignee: David Ripton
QA Contact: Dafna Ron
URL: https://blueprints.launchpad.net/nova...
Whiteboard: storage
Depends On: 988984
Blocks: RHOS40RFE
TreeView+ depends on / blocked
 
Reported: 2013-06-26 16:32 UTC by Russell Bryant
Modified: 2019-09-10 14:07 UTC (History)
11 users (show)

Fixed In Version: openstack-nova-2013.2-0.8.b2.el6ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-20 00:08:41 UTC
Target Upstream Version:
mlopes: needinfo? (dripton)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2013:1859 0 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2013-12-21 00:01:48 UTC

Comment 2 RHEL Program Management 2013-07-08 20:25:47 UTC
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 5 David Ripton 2013-08-15 15:04:37 UTC
This got merged into Havana-2 upstream.

Comment 8 David Ripton 2013-08-27 13:47:17 UTC
I agree the blueprint doesn't say much.  The idea is to make a single cinder storage instance work in a cluster that uses cells.

Cells are basically just a scalability mechanism to combine a small number of API nodes with a large number of compute nodes.

See https://wiki.openstack.org/wiki/Blueprint-nova-compute-cells and http://docs.openstack.org/trunk/openstack-compute/admin/content/ch_cells.html for details on cells.  Both contain the config file changes and nova-manage commands needed to set up cells.

So to test this we need at least 2 nodes.  (More would be more realistic but I think 2 is sufficient for functionality testing.)  One is the command node and runs nova-api, cinder, nova-cells, a DB (mysql or postgres), and an AMQP broker (qpid) (but *not* nova-compute or nova-scheduler).  The other is the compute node and run nova-cells, nova-compute, nova-scheduler, nova-network, a DB, and an AMQP broker (but *not* nova-api or cinder).

I believe your existing storage test plan is fine, if run in this particular cells configuration.  It's important that the compute cell has no direct connection to cinder, to prove that we're exercising this new code.

Comment 10 David Ripton 2013-08-27 15:17:14 UTC
Yes, as I said in comment 8, I think that cinder storage sanity plan is fine, but we need to run it against the cells configuration rather than the normal configuration to exercise this blueprint.

Comment 14 Dafna Ron 2013-10-18 17:00:15 UTC
test run passed with 97% 

https://tcms.engineering.redhat.com/run/87714/

moving RFE to verified 

These are the bug lists opened and reported during the plan: 

https://bugzilla.redhat.com/buglist.cgi?bug_id=1020930%2C1016806%2C1019401%2C1015625%2C1019417%2C1020954%2C1015645%2C1016798&bugidtype=include&list_id=1820685

Comment 17 errata-xmlrpc 2013-12-20 00:08:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html


Note You need to log in before you can comment on or make changes to this bug.